local frame = CreateFrame('Frame', nil, UIParent)

frame:SetPoint('CENTER')
frame:SetSize(200, 64)

local icon = frame:CreateTexture()
local icon2 = frame:CreateTexture()

local mask = frame:CreateMaskTexture()
local mask2 = frame:CreateMaskTexture()

mask:SetAllPoints(icon)
mask2:SetAllPoints(icon2)

icon:SetPoint('LEFT')
icon2:SetPoint('RIGHT')

icon:SetSize(64, 64)
icon2:SetSize(64, 64)

-- set different icons to match with the print output.
icon:SetTexture([[Interface\Icons\6BF_Rolling_Fury]])
icon2:SetTexture([[Interface\Icons\6BF_Retched_Blackrock]])

-- add the masks
icon:AddMaskTexture(mask)
icon2:AddMaskTexture(mask2)

local maskID1, maskID2 = 1, 2
local time1, time2 = 0, 0

frame:SetScript('OnUpdate', function(self, elapsed)
	time1 = time1 + elapsed
	time2 = time2 + elapsed
	-- update the first one every 0.8 seconds.
	-- the bug will cause this update to also change the texture for mask2.
	if time1 > 0.8 then
		mask:SetTexture([[Interface\AddOns\MaskTextureBug\Masks\]] .. maskID1)
		-- loop between the 12 masks
		maskID1 = (maskID1 % 12) + 1
		-- print the icon and the current mask #
		print(floor(GetTime()), '|TInterface\\Icons\\6BF_Rolling_Fury:0|t', maskID1)
		time1 = 0
	end
	-- update the second one every 1.5 seconds, not that it makes any difference.
	if time2 > 1.5 then		
		mask2:SetTexture([[Interface\AddOns\MaskTextureBug\Masks\]] .. maskID2)
		-- loop between the 12 masks
		maskID2 = (maskID2 % 12) + 1
		-- print the icon and the current mask #
		print(floor(GetTime()), '|TInterface\\Icons\\6BF_Retched_Blackrock:0|t', maskID2)
		time2 = 0
	end
end)